=== debian/control ===
Source: perl
Section: perl
Priority: standard
Maintainer: Niko Tyni <ntyni@debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.6
Homepage: http://dev.perl.org/perl5/
Build-Depends: file, cpio, libdb-dev, libgdbm-dev, netbase [!hurd-any],
 procps [!hurd-any], zlib1g-dev | libz-dev, libbz2-dev, dpkg-dev (>= 1.16.0),
 libc6-dev (>= 2.19-9) [s390x]
Vcs-Git: git://anonscm.debian.org/perl/perl.git -b debian-5.20
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=perl/perl.git

Package: perl-base
Essential: yes
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, dpkg (>= 1.17.17)
Conflicts: safe-rm (<< 0.8),
 update-inetd (<< 4.41),
 defoma (<< 0.11.12),
 doc-base (<< 0.10.3),
 mono-gac (<< 2.10.8.1-3),
Breaks: autoconf2.13 (<< 2.13-45),
 perl (<< 5.20.0~),
 pdl (<< 1:2.007-4),
 libfile-spec-perl (<< 3.4801),
 libxsloader-perl (<< 0.17),
 libmarc-charset-perl (<< 1.2),
 libsocket-perl (<< 2.013),
 libcommon-sense-perl (<< 3.72-2~),
 libio-socket-ip-perl (<< 0.29),
 libalien-wxwidgets-perl (<< 0.65+dfsg-2),
 libanyevent-perl (<< 7.070-2),
 libjcode-perl (<< 2.13-3),
 libgtk2-perl-doc (<< 2:1.2491-4),
 libfile-temp-perl (<< 0.2304),
 libfile-path-perl (<< 2.09),
 libscalar-list-utils-perl (<< 1:1.38)
Replaces: perl (<< 5.10.1-12), perl-modules (<< 5.20.1-3), libperl5.8 (<< 5.8.0-20),
 libscalar-list-utils-perl,
 libxsloader-perl,
 libsocket-perl,
 libfile-temp-perl,
 libfile-path-perl,
 libio-socket-ip-perl,
Provides: perl5-base, ${perlapi:Provides},
 libscalar-list-utils-perl,
 libxsloader-perl,
 libsocket-perl,
 libfile-temp-perl,
 libfile-path-perl,
 libio-socket-ip-perl,
Suggests: perl
Description: minimal Perl system
 Perl is a scripting language used in many system scripts and utilities.
 .
 This package provides a Perl interpreter and the small subset of the
 standard run-time library required to perform basic tasks. For a full
 Perl installation, install "perl" (and its dependencies, "perl-modules"
 and "perl-doc").

Package: perl-doc
Section: doc
Priority: optional
Architecture: all
Depends: perl (>= ${Upstream-Version}-1)
Suggests: man-browser, groff
Description: Perl documentation
 Perl manual pages, POD documentation and the `perldoc' program.  If you are
 writing Perl programs, you almost certainly need this.

Package: perl-debug
Section: debug
Priority: extra
Architecture: any
Depends: perl (= ${binary:Version}), ${shlibs:Depends}
Description: debug-enabled Perl interpreter
 debugperl provides a debug-enabled version of Perl which can produce
 extensive information about the interpreter as it compiles and executes
 a program (see the -D switch in perlrun(1)).
 .
 Note that this package is primarily of use in debugging *Perl* rather
 than perl programs, which may be traced/debugged using the standard
 perl binary using the -d switch (see perldebug(1)).

Package: libperl5.20
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, perl-base (= ${binary:Version})
Replaces: perl-base (<= 5.8.7-4)
Description: shared Perl library
 This package is required by programs which embed a Perl interpreter to
 ensure that the correct version of `perl-base' is installed.  It
 additionally contains the shared Perl library on architectures where the
 perl binary is linked to libperl.a (currently only i386, for performance
 reasons).  In other cases the actual library is in the `perl-base' package.

Package: libperl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: perl (= ${binary:Version}), libperl5.20 (= ${binary:Version}),
 libc6-dev | libc-dev
Description: Perl library: development files
 Files for developing applications which embed a Perl interpreter.

Package: perl-modules
Priority: standard
Architecture: all
Multi-Arch: foreign
Depends: perl-base (>= ${source:Version})
Pre-Depends: dpkg (>= 1.17.17)
Recommends: perl (>= ${Upstream-Version}-1),
 libarchive-extract-perl,
 libmodule-pluggable-perl,
 libpod-latex-perl,
 libterm-ui-perl,
 libtext-soundex-perl,
 libcgi-pm-perl,
 libmodule-build-perl,
 libpackage-constants-perl,
Suggests: libb-lint-perl,
 libcpanplus-dist-build-perl,
 libcpanplus-perl,
 libfile-checktree-perl,
 liblog-message-simple-perl,
 liblog-message-perl,
 libobject-accessor-perl
Conflicts: defoma (<< 0.11.12),
 mono-gac (<< 2.10.8.1-3)
Breaks: libpod-parser-perl (<< 1.62),
 perl (<< ${Upstream-Version}~),
 pdl (<< 1:2.007-4),
 libansicolor-perl (<< 4.02),
 libnet-perl (<= 1:1.22),
 libattribute-handlers-perl (<< 0.96),
 libcgi-pm-perl (<< 3.65),
 libi18n-langtags-perl (<< 0.40),
 liblocale-maketext-perl (<< 1.25),
 libmath-bigint-perl (<< 1.9993),
 libnet-ping-perl (<< 2.43),
 libtest-harness-perl (<< 3.30),
 libtest-simple-perl (<< 1.001002),
 liblocale-codes-perl (<< 3.30),
 libmodule-corelist-perl (<< 5.20150214),
 libio-zlib-perl (<< 1.10),
 libarchive-tar-perl (<< 1.96),
 libextutils-cbuilder-perl (<< 0.280217),
 libmodule-build-perl (<< 0.420500),
 libmodule-load-perl (<< 0.32),
 liblocale-maketext-simple-perl (<< 0.21),
 libparams-check-perl (<< 0.38),
 libmodule-load-conditional-perl (<< 0.62),
 libversion-perl (<< 1:0.9909),
 libpod-simple-perl (<< 3.28),
 libextutils-parsexs-perl (<< 3.240000),
 libpod-escapes-perl (<< 1.06),
 libparse-cpan-meta-perl (<< 1.4414),
 libparent-perl (<< 0.228),
 libautodie-perl (<< 2.23),
 libthread-queue-perl (<< 3.05),
 libfile-spec-perl (<< 3.4801),
 libtime-local-perl (<< 1.2300),
 podlators-perl (<< 2.3.1),
 libunicode-collate-perl (<< 1.04),
 libcpan-meta-perl (<< 2.140640),
 libmath-complex-perl (<< 1.59),
 libextutils-command-perl (<< 1.18),
 libmodule-metadata-perl (<< 1.000019),
 libjson-pp-perl (<< 2.27203),
 libperl-ostype-perl (<< 1.007),
 libversion-requirements-perl(<< 0.101022),
 libcpan-meta-yaml-perl (<< 0.012),
 libdigest-perl (<< 1.17),
 libextutils-install-perl (<< 1.67),
 libhttp-tiny-perl (<< 0.043),
 libcpan-meta-requirements-perl (<< 2.125),
 libexperimental-perl (<< 0.007),
 libpackage-constants-perl (<< 0.04),
 pristine-tar (<< 1.33),
 polygen-data (<< 1.0.6.ds2-13.1),
 rinse (<< 3.0.7),
 tvtime (<< 1.0.2-14),
 pure-ftpd-common (<< 1.0.36-3.2),
 mono-apache-server2 (<< 3.8-2.1),
 mono-apache-server4 (<< 3.8-2.1),
 mono-fastcgi-server2 (<< 3.8-2.1),
 mono-fastcgi-server4 (<< 3.8-2.1),
 shorewall (<< 4.6.4.3-2),
 shorewall-core (<< 4.6.4.3-2),
 patcher (<< 0.0.20040521-6.1),
 cli-common (<< 0.9+nmu1),
Replaces: libpod-parser-perl,
 libansicolor-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libcgi-pm-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-build-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libcpan-meta-requirements-perl,
 libexperimental-perl,
 libpackage-constants-perl,
Provides: libpod-parser-perl,
 libansicolor-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libcpan-meta-requirements-perl,
 libexperimental-perl,
Description: Core Perl modules
 Architecture independent Perl modules.  These modules are part of Perl and
 required if the `perl' package is installed.
 .
 Note that this package only exists to save archive space and should be
 considered an internal implementation detail of the `perl' package.
 Other packages should not depend on `perl-modules' directly, they
 should use `perl' (which depends on `perl-modules') instead.

Package: perl
Priority: standard
Architecture: any
Multi-Arch: allowed
Pre-Depends: dpkg (>= 1.17.17)
Depends: perl-base (= ${binary:Version}), perl-modules (>= ${source:Version}), ${shlibs:Depends}
Conflicts: libjson-pp-perl (<< 2.27200-2)
Breaks: perl-doc (<< ${Upstream-Version}-1),
 libdigest-md5-perl (<< 2.53),
 libmime-base64-perl (<< 3.14),
 libtime-hires-perl (<< 1.9726),
 libstorable-perl (<< 2.49.01),
 libdigest-sha-perl (<< 5.88),
 libsys-syslog-perl (<< 0.33),
 libcompress-zlib-perl (<< 2.064),
 libcompress-raw-zlib-perl (<< 2.065),
 libcompress-raw-bzip2-perl (<< 2.064),
 libio-compress-zlib-perl (<< 2.064),
 libio-compress-bzip2-perl (<< 2.064),
 libio-compress-base-perl (<< 2.064),
 libio-compress-perl (<< 2.064),
 libthreads-perl (<< 1.93),
 libthreads-shared-perl (<< 1.46),
 libtime-piece-perl (<< 1.27),
 libencode-perl (<< 2.60),
 mrtg (<< 2.16.3-3.1),
 libhtml-template-compiled-perl (<< 0.95-1),
 libperl-apireference-perl (<< 0.09-1),
 dh-make-perl (<< 0.73-1),
 libregexp-optimizer-perl (<< 0.15-3),
 libxml-parser-lite-tree-perl (<< 0.14-1),
 libyaml-perl (<< 0.73-1),
 libload-perl (<< 0.20-1),
 libsoap-lite-perl (<< 0.712-4),
 libnet-jifty-perl (<< 0.14-1),
 ftpmirror (<< 1.96+dfsg-13)
Replaces: perl-base (<< 5.10.1-12),
 perl-doc (<< 5.8.0-1),
 perl-modules (<< 5.8.1-1),
 libarchive-tar-perl (<= 1.38-2),
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libtime-piece-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libmodule-corelist-perl (<< 2.14-2),
 libencode-perl,
Provides: data-dumper, perl5,
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libtime-piece-perl,
 libencode-perl,
Recommends: netbase, rename
Suggests: perl-doc, libterm-readline-gnu-perl | libterm-readline-perl-perl,
 make
Description: Larry Wall's Practical Extraction and Report Language
 Perl is a highly capable, feature-rich programming language with over
 20 years of development. Perl 5 runs on over 100 platforms from
 portables to mainframes. Perl is suitable for both rapid prototyping
 and large scale development projects.
 .
 Perl 5 supports many programming styles, including procedural,
 functional, and object-oriented. In addition to this, it is supported
 by an ever-growing collection of reusable modules which accelerate
 development. Some of these modules include Web frameworks, database
 integration, networking protocols, and encryption. Perl provides
 interfaces to C and C++ for custom extension development.
